Octonet - Problemi import di massa da file csv
07/12/2017 09:17 PM - Markus Pfeifer

Status: Chiuso Start date: 07/12/2017
Priority: Urgente Due date:

Assignee: Mark Caglienzi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

I'import di massa da file non va a buon fine. Dopo aver caricato il file ed impostato le colonne corrispondenti al dato elencato si clicca
su UPLOAD. Si apre la schermata con le informazioni di non chiudere o uscire da questa schermata a fin che il processo che
potrebbe richiedere alcuni minuti. Perd anche dopo un'ora di attesa non si muove niente.

Per facilitare il lavoro dei tecnici inoltre & neccessario aver documentato la forma e i campi richiesti per I'import in modo di un file di
esempio.

Saluti
Markus.

Associated revisions

Revision 5149f10c - 07/31/2017 03:57 PM - Mark Caglienzi
Fix the problem with BOM directly in CSV importing. refs #353 #346

History

#1 - 07/12/2017 10:33 PM - Paolo Dongilli

- Assignee changed from Christopher R. Gabriel to Markus Pfeifer

Markus, controlla che le righe del csv abbiano tutte lo stesso numero di campi.

Allega al ticket per favore il file CSV che stai usando (anonimizzato) o in alternativa manda una copia dell'originale a Christopher e me per una
verifica.

#2 - 07/13/2017 09:30 AM - Christopher R. Gabriel

Servirebbe anche sapere le versioni di octofussd e octonet installate.

#3 - 07/13/2017 09:32 AM - Christopher R. Gabriel

Altra nota da Markus:

Il comportamento di OCTONET e abbastanza strano: la lettura del file e 1l’associazione del tipo di contenuto de
lla Colonna va a buon fine. OCTONET crea la cartella del primo utente in elenco perdo non crea l’utente stesso
e non continua l’elaborazione.

#4 - 07/13/2017 09:41 AM - Markus Pfeifer

la versione di octofussd & al 8.0.33-1
la versione di octonet & al 0.2.23-1
#5 - 07/13/2017 09:42 AM - Christopher R. Gabriel

- Assignee changed from Markus Pfeifer to Mark Caglienzi

Assegno a Mark che seguira' la cosa - gli ho inoltrato il file di dati.

#6 - 07/13/2017 10:34 AM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#7 - 07/13/2017 11:42 AM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Markus Pfeifer

Ho inviato mail con il file corretto e le spiegazioni.
Potresti riprovare con quel file?

Grazie

#8 - 07/13/2017 11:45 AM - Mark Caglienzi

Scrivo rapidamente qui le spiegazioni. | problemi sono due:

e |'encoding del file (che era UTF-8 (with BOM))
e |l gruppo principale non deve essere insegnanti ma docenti

Col file corretto a me risulta che funzioni tutto (usando una VM di fuss-server come backend)

#9 - 07/13/2017 12:11 PM - Markus Pfeifer
- Status changed from Commenti to Risolto

- Assignee changed from Markus Pfeifer to Mark Caglienzi

L'import del file modificato & andato a buon fine. Quindi risoluzione definitiva del problema & creare un file di import format ASCII.

Grazie dell'impegno e della soluzione.

Saluti
Markus.

#10 - 07/13/2017 12:11 PM - Markus Pfeifer

- Status changed from Risolto to Chiuso

Ticket risolto e chiuso.
